
sub reset_cisco
{
    my ($host, $community, $port) = @_;
    my $sysClrLine = '1.3.6.1.4.1.9.2.9.10.0';

    use Net::SNMP;
    
    my ($session, $error) = Net::SNMP->session(
    -hostname     => $host,
    -community    => $community
    );

    if (!defined($session)) {
	printf("ERROR: %s.\n", $error);
	return 0;
    }
    my $result = $session->set_request(
	-varbindlist => [$sysClrLine, INTEGER32, $port]
	);
    if (!defined($result)) {
	printf("ERROR: %s.\n", $session->error);
	return 0;
    }
    $session->close;
    return 1;
}

1;
